import Editor from '../editor.js';
import { KCPartsControls } from '../../../elements/kc-workspace-frame/kc-parts-controls.js';
export declare abstract class WorkspaceViewProvider {
    protected editor?: Editor;
    abstract source: string;
    abstract outputViewRoot?: HTMLElement;
    abstract partsControls: KCPartsControls;
    abstract root: HTMLElement;
    clear(): void;
    setOutputView(outputView: any): void;
    onInstall(editor: Editor): void;
    onInject(): void;
    onDispose(): void;
    readonly toolbar: any;
}
export default WorkspaceViewProvider;
export * from './default.js';
